/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 


package servidor.datos;

import java.sql.*;

import servidor.utiles.*;

public class TablaZonasAtencion extends Tabla_Base {
   public TablaZonasAtencion(Connection conexion) {
	  super(conexion, "SalasAtencion");
   }
   
   public int getId() throws SQLException {
	  return rs.getInt(1);
   }
   
   public String getDescripcion() throws SQLException {
	  return rs.getString(2);
   }
   
   /*public boolean existeZonaAtencion(String Descripcion){
		  String descr  = Descripcion.toUpperCase().trim();
		  try {
			 Statement stmt = conexion.createStatement();
			 rs = stmt.executeQuery("SELECT * FROM SalasAtencion WHERE TextoSalaAtencion='" + descr + "'");
			 if(rs.last()) {
				return rs.getRow();
			 }
		  } catch(Exception exc) {
			  Global.log.warning("ERROR en 'existeZonaAtencion' en ZonasAtencion buscando " +  Descripcion +":\n" + exc.getMessage());
		  }
		  return 0;
	   }
   */

   public void nuevoZonaAtencion(String Descripcion) throws SQLException{
		  SQL("INSERT INTO salasatencion (TextoSalaAtencion) VALUES (''{0}'')", new String[] {Descripcion});
	   }
   
   

   

   

}
